package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletLicense;

/**
 * 专业执照信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletLicenseService 
{
    /**
     * 查询专业执照信息
     * 
     * @param id 专业执照信息主键
     * @return 专业执照信息
     */
    public AppletLicense selectAppletLicenseById(Long id);

    /**
     * 查询专业执照信息列表
     * 
     * @param appletLicense 专业执照信息
     * @return 专业执照信息集合
     */
    public List<AppletLicense> selectAppletLicenseList(AppletLicense appletLicense);

    /**
     * 新增专业执照信息
     * 
     * @param appletLicense 专业执照信息
     * @return 结果
     */
    public int insertAppletLicense(AppletLicense appletLicense);

    /**
     * 修改专业执照信息
     * 
     * @param appletLicense 专业执照信息
     * @return 结果
     */
    public int updateAppletLicense(AppletLicense appletLicense);

    /**
     * 批量删除专业执照信息
     * 
     * @param ids 需要删除的专业执照信息主键集合
     * @return 结果
     */
    public int deleteAppletLicenseByIds(Long[] ids);

    /**
     * 删除专业执照信息信息
     * 
     * @param id 专业执照信息主键
     * @return 结果
     */
    public int deleteAppletLicenseById(Long id);
}
